<?- include('./../../partials/header') -?>

  <style>
      .manage_users{
          color:red;
      }.table-responsive{
        text-align: center;
      }
  </style>
    <div class="page">
        <div class="page-main">
           
            <?- include('./../../partials/nav') -?>
            <div class="app-content page-body">
                <div class="container">

                    <!--Page header-->
                    <div class="page-header">
                        <div class="page-leftheader">
                            <h4 class="page-title">จัดการสมาชิก</h4>
                            <ol class="breadcrumb pl-0">
                                <li class="breadcrumb-item"><a href="#">หน้าหลัก</a></li>
                                <li class="breadcrumb-item active" aria-current="page">จัดการสมาชิก</li>
                            </ol>
                        </div>
                    </div>
                    <!--End Page header-->



                    <!--Row-->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12">
                            <div class="card ">
                                <div class="card-header">
                                    <h3 class="card-title">รายการสมาชิกทั้งหมด</h3>
                                    <div class="card-options ">
                                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
                                        <a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
                                    </div>
                                </div>
                                <div class="mb-0">
                                    <div class="table-responsive">
                                        <table class="table mb-0 table-vcenter table-hover text-nowrap">
                                            <thead>
                                                <tr>
                                                    <th>ลำดับ</th>
                                                    <th>ชื่อ</th>
                                                    <th>วันที่สมัคร</th>
                                                    <th>ระดับ</th>
                                                    
                                                   
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <? 
                                                if(data.rowCount > 0){
                                                 
                                                    var all_data = data.rows;

                                                    console.log('all_data',all_data)
                                                    var i =1;
                                                     for(var item in all_data) { 

                                                        if(all_data[item].roles === 1){

                                                            var status = 'admin';

                                                        }else if(all_data[item].roles === 2){

                                                            var status = 'financial';

                                                        }else if(all_data[item].roles === 2){

                                                            var status = 'staff';

                                                        }
                                                         
                                                         ?> 
                                                         <tr>
                                                             <th scope="row"><?= i ?></th>
                                                             <td><?= all_data[item].users_name?></td>
                                                             <td><?= all_data[item].date_add?></td>
                                                             <td><?= status ?></td>
                                                         </tr>
                                                         
                                                         <? 
                                                         i++;
                                                     }
                                                        
                                                }else{ 
         
                                                     ?>
                                                     <tr>
                                                         <td colspan="5">No Distributor</td>
                                                     </tr>
                                                     <? 
                                                 } 
                                             ?>    

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--End row-->

                </div>
            </div><!-- end app-content-->
        </div>

        <?- include('./../../partials/footer') -?>

    </div>

